import { DataWithHistory } from "./data.model";
import { Server, ServerFilter } from "./server.model";

export enum EventType {
  stageInstance = 1,
  voice = 2,
  external = 3,
}

export interface ScheduledEvent extends DataWithHistory {
  id?: number;
  interval?: ScheduledEventInterval;
  name?: string;
  description?: string;
  channelId?: string;
  startTime?: Date;
  endTime?: Date;
  entityType?: EventType;
  location?: string;
  server?: Server;
}

export interface ScheduledEventFilter {
  id?: number;
  interval?: string;
  name?: string;
  description?: string;
  channelId?: string;
  startTime?: string;
  endTime?: string;
  entityType?: number;
  location?: string;
  server?: ServerFilter;
}

// export enum ScheduledEventInterval {
//   daily = "daily",
//   weekly = "weekly",
//   monthly = "monthly",
//   yearly = "yearly"
// }

export type ScheduledEventInterval = "daily" | "weekly" | "monthly" | "month"
